net.h File Reference

Go to the source code of this file.

## Namespaces

namespace | std

## Typedefs

template<typename _CompletionToken , typename _Signature >
using | std::experimental::net::__deduced_t = typename async_result< decay_t< _CompletionToken >, _Signature, void >::return_type
template<typename _Tp >
using | std::experimental::net::__is_value_constructible = typename __and_< is_copy_constructible< _Tp >, is_move_constructible< _Tp >, is_constructible< _Tp, _Tp & >, is_constructible< _Tp, const _Tp && > >::type

## Detailed Description

This is an internal header file, included by other library headers. Do not attempt to use it directly. Instead, include <experimental/networking>.

Definition in file net.h.

## Typedef Documentation

## __deduced_t

template<typename _CompletionToken , typename _Signature >

using std::experimental::net::v1::__deduced_t = typedef typename async_result<decay_t<_CompletionToken>, _Signature, void>::return_type

Definition at line 61 of file net.h.

## __is_value_constructible

template<typename _Tp >

using std::experimental::net::v1::__is_value_constructible = typedef typename __and_< is_copy_constructible<_Tp>, is_move_constructible<_Tp>, is_constructible<_Tp, _Tp&>, is_constructible<_Tp, const _Tp&&> >::type

Definition at line 66 of file net.h.